#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.2
visibility:           public
id:                   primitive-extras-0.10.2-Bh4gkddXuF76T5qsjaFEBX
key:                  primitive-extras-0.10.2-Bh4gkddXuF76T5qsjaFEBX
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  48dfec58d6fbae481acb6b58851ad6b7
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2-Bh4gkddXuF76T5qsjaFEBX
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    cereal-0.5.8.3-9zcITCTkqXtHoa6jbeSF22
    deferred-folds-0.9.18.6-8DJPG0GLLZaE5VfEKcT0Nn
    focus-1.0.3.2-IjqLHmM7ikd6sj5IAkH1BR
    foldl-1.4.16-4yMEf2BonGAE4SZwYdiSUC
    list-t-1.0.5.4-LWiXdd1SWXLJ5ZwTilo6U3
    primitive-0.7.4.0-AQ7cOoBXu5aBgAQTQzTLUx
    primitive-unlifted-0.1.3.1-EBoRjxft9zO91aN2I3inEc
    profunctors-5.6.2-FWe4PQU8eE3GeDqm3R4ckm
    vector-0.13.1.0-xP3uH1g3cPFld8g0jCD5r

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

